PHP error when trying to install


#1

Hi there,

when trying to install www.xxxxxx.com/analytics the following error pops up immediately.
Any ideas?

Many thanks
Christian


Warning: require_once(/home/xxxxxx/public_html/analytics/libs/upgradephp/upgrade.php) [function.require-once]: failed to open stream: No such file or directory in /home/xxxxxx/public_html/analytics/index.php on line 34

Fatal error: require_once() [function.require]: Failed opening required '/home/xxxxxx/public_html/analytics/libs/upgradephp/upgrade.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/xxxxxx/public_html/analytics/index.php on line 34


#2

Anyone?


#3

what version of php are you using? what php.ini memory settings do you have?


(Matthieu Aubry) #4

Reupload all files, some files are not uploaded yet


#5

Hi Matt,

did reuploading about 3 times - no change.

Hi lesjokolat,

using PHP 5.3.28 and memory_limit is 64M.

Regards
Christian


(Matthieu Aubry) #6

Really this error means the file upgrade.php is not found, so not uploaded correctly somehow, can you check?


#7

i would also recommend php 5.3.3 at least as well


(Matthieu Aubry) #8

I’d recommend PHP 5.5 :slight_smile:


#9

Hi Matt,

[quote=Matt]Really this error means the file upgrade.php is not found, so not uploaded correctly somehow, can you check?[/quote]correct, the problem is that there is not even a /libs/ directory - but that is the download right from piwik.org, which is obviously incomplete…

Cheers
Christian


(Matthieu Aubry) #10

I downloaded Piwik from http://builds.piwik.org/ and I see a libs/ folder there? where are you downloading piwik from?


#11

Hi Matt,

downloading from Get Piwik - Analytics Platform - Matomo
Unzipped zip-folder “latest” looks like the photo attached.
http://www.hitradio.com.na/analytics/piwik.png

Cheers
Christian


#12

?


(Matthieu Aubry) #13

Please use another zip tool such as 7zip or so. try downloading latest beta from Index of /